<?php
/* 
 * Copyright (C) 2012 Fructisoft (Jeremy Joly), All Rights Reserved. 
 * @license - http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */
 

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class FsBrowserCompatibilityControllerSettings extends JController {

    function display($cachable = false, $urlparams = false) {
        
        $view = $this->getView('settings', 'html');
        
        $model = $this->getModel('settings');
        
        $view->setModel($model, true);
        
        $view->display();
    }
    
    

    function save() {

        // Check for request forgeries
        JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

        $model = $this->getModel('settings');
        
        $data = JRequest::get('post');
        
        $model->save($data);
        
        $this->setRedirect('index.php?option=com_fsbrowsercompatibility&c=settings', 
            JText::_('COM_FSBC_SETTINGS_SAVED') );
    }

    

}
